Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5
Interface ClientElement

All Known Subinterfaces:
  ClientBodyElement, Field, FormSupport, InternalFormSupport

All Known Implementing Classes:
  AbstractComponentEventLink, AbstractField, AbstractLink, AbstractTextField, ActionLink, Alerts, Any, BeanEditForm, Checkbox, Checklist, DateField, EventLink, Form, FormFragment, FormInjector, FormSupportAdapter, FormSupportImpl, Hidden, KaptchaField, LinkSubmit, PageLink, Palette, PasswordField, Radio, RadioGroup, Select, Submit, TextArea, TextField, Upload, Zone

    public interface ClientElement

Interface for any kind of object (typically, a component) that can provide a client-side id, typically used in the generation of client-side (JavaScript) logic. For components, the client id will be null or inaccurate until after the component has rendered itself. Inside of any kind of loop, the clientId property is only accurate just after the component has rendered, and before it renders again.

Some components must be configured to provide a client id. In many cases, the client id matches the component's component id, typically passed through `JavaScriptSupport.allocateClientId(String)` to ensure uniqueness.

Method Summary
`java.lang.String` | `getClientId()` Returns a unique id for the element.

Method Detail

### getClientId

    java.lang.String getClientId()

  Returns a unique id for the element. This value will be unique for any given rendering of a page. This value is intended for use as the id attribute of the client-side element, and will be used with any DHTML/Ajax related JavaScript.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.